Package org.apache.sling.launchpad.testservices.repository

# Class FirstRepositoryInitializer

java.lang.Object
org.apache.sling.launchpad.testservices.repository.FirstRepositoryInitializer

All Implemented Interfaces:
  `org.apache.sling.jcr.api.SlingRepositoryInitializer`

public class FirstRepositoryInitializer extends Object implements org.apache.sling.jcr.api.SlingRepositoryInitializer
SlingRepositoryInitializer that creates a node to which SecondRepositoryInitializer can add a property, to verify that they are executed in order of their service ranking.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SIGNAL_NODE_PATH`

## Constructor Summary

Constructors
Constructor
Description
`FirstRepositoryInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`processRepository(org.apache.sling.jcr.api.SlingRepository repo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SIGNAL_NODE_PATH

public static final String SIGNAL_NODE_PATH

## Constructor Details

### FirstRepositoryInitializer

public FirstRepositoryInitializer()

## Method Details

### processRepository

public void processRepository(org.apache.sling.jcr.api.SlingRepository repo) throws Exception

Specified by:
  `processRepository` in interface `org.apache.sling.jcr.api.SlingRepositoryInitializer`
Throws:
  `Exception`